## org.gnu.gtk
Class DataRow

    java.lang.Object
      org.gnu.gtk.DataRow

public class DataRow
extends java.lang.Object

A DataRow is simply a list of data, which represent a row that can be added to store components, such as `ListStore` and `TreeStore`.

To create a DataRow and add it to a store is pretty straight forward:

`store.addRow(new DataRow() .add(name) .add(type) .add(icon));`

Constructor Summary
`DataRow()`

Method Summary
`DataRow` `add(java.lang.Object aData)` Adds a data to this row.
`java.lang.Object` `get(int aCol)` Get the data at column `aCol`
`java.util.List` `getAll()` Get all data in this row.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DataRow

    public DataRow()

Method Detail

### get

    public java.lang.Object get(int aCol)

  Get the data at column `aCol`

  Parameters:
    `aCol` - the column number, starting from 0.
  Returns:
    the data at that column

### getAll

    public java.util.List getAll()

  Get all data in this row.

  Returns:
    a List, with the data of each row.

### add

    public DataRow add(java.lang.Object aData)

  Adds a data to this row. This will fill the columns of the row sequentially: the first call is the first column, and so it goes.

  Parameters:
    `aData` - a data to be added to the row
  Returns:
    this DataRow. The reason why it returns this object is so you can make useful constructions, such as: `new DataRow() .add(name) .add(type) .add(icon)`